Index: ng/sys/win32/mg.rc
===================================================================
RCS file: /home/cvsroot/ng/sys/win32/mg.rc,v
retrieving revision 1.1
retrieving revision 1.1.2.1
diff -c -r1.1 -r1.1.2.1
*** mg.rc	2000/11/16 14:21:29	1.1
--- mg.rc	2001/01/17 18:39:06	1.1.2.1
***************
*** 7,13 ****
  //
  // Generated from the TEXTINCLUDE 2 resource.
  //
! #include "newres.h"
  
  /////////////////////////////////////////////////////////////////////////////
  #undef APSTUDIO_READONLY_SYMBOLS
--- 7,21 ----
  //
  // Generated from the TEXTINCLUDE 2 resource.
  //
! #ifndef NO_MFC
! #include "afxres.h"
! #else
! #include <winuser.h>
! #include <winresrc.h>
! #ifndef IDC_STATIC
! #define IDC_STATIC	(-1)
! #endif
! #endif /* NO_MFC */
  
  /////////////////////////////////////////////////////////////////////////////
  #undef APSTUDIO_READONLY_SYMBOLS
Index: ng/sys/win32/ng.rc
===================================================================
RCS file: /home/cvsroot/ng/sys/win32/ng.rc,v
retrieving revision 1.2
retrieving revision 1.2.2.1
diff -c -r1.2 -r1.2.2.1
*** ng.rc	2000/11/16 14:21:30	1.2
--- ng.rc	2001/01/17 18:39:06	1.2.2.1
***************
*** 7,13 ****
--- 7,21 ----
  //
  // Generated from the TEXTINCLUDE 2 resource.
  //
+ #ifndef NO_MFC
  #include "afxres.h"
+ #else
+ #include <winuser.h>
+ #include <winresrc.h>
+ #ifndef IDC_STATIC
+ #define IDC_STATIC	(-1)
+ #endif
+ #endif /* NO_MFC */
  
  /////////////////////////////////////////////////////////////////////////////
  #undef APSTUDIO_READONLY_SYMBOLS
Index: ng/sys/win32/ngbc.mak
===================================================================
RCS file: /home/cvsroot/ng/sys/win32/ngbc.mak,v
retrieving revision 1.3
retrieving revision 1.3.2.1
diff -c -r1.3 -r1.3.2.1
*** ngbc.mak	2000/11/16 14:21:30	1.3
--- ngbc.mak	2001/01/17 18:39:06	1.3.2.1
***************
*** 1,7 ****
! # $Id: ngbc.mak,v 1.3 2000/11/16 14:21:30 amura Exp $
! # Makefile for Ng at Win32 with Borland C++ 5.5
  #
  # $Log: ngbc.mak,v $
  # Revision 1.3  2000/11/16 14:21:30  amura
  # merge Ng for win32 0.5
  #
--- 1,10 ----
! # $Id: ngbc.mak,v 1.3.2.1 2001/01/17 18:39:06 amura Exp $
! # Makefile for Ng at Win32 with Borland C++ 5.2/5.5
  #
  # $Log: ngbc.mak,v $
+ # Revision 1.3.2.1  2001/01/17 18:39:06  amura
+ # now compile successfull on VC++ and BC++
+ #
  # Revision 1.3  2000/11/16 14:21:30  amura
  # merge Ng for win32 0.5
  #
***************
*** 18,30 ****
  #
  # Now, compile time options are defined in a "config.h".
  #
  CDEFS	= -DWIN32
! CFLAGS	= -c -O $(CDEFS) -w-nod -w-use -w-pro -w-rvi -w-par
  
  BCPATH  = c:\Borland\bcc55
  CC	= $(BCPATH)\bin\bcc32 -q
  RSC	= $(BCPATH)\bin\brc32 -r -i"$(BCPATH)\include" -dNO_MFC
! LINK	= $(BCPATH)\bin\ilink32 -c -v- -x -Gn -aa
  
  # Objects which only depend on the "standard" includes
  OBJS	= basic.obj dir.obj dired.obj shell.obj version.obj window.obj \
--- 21,48 ----
  #
  # Now, compile time options are defined in a "config.h".
  #
+ INTDIR	= objs
+ OUTDIR	= objs
+ COPT	= -O -d -f-
  CDEFS	= -DWIN32
! CINCL	= -Isys\$(SYS) -Isys\default
! CMISC	= -n$(INTDIR) -tWM -w-nod -w-use -w-pro -w-rvi -w-par
! CFLAGS	= -c $(CDEFS) $(COPT) $(CINCL) $(CMISC)
  
+ ## BCC 5.5
  BCPATH  = c:\Borland\bcc55
  CC	= $(BCPATH)\bin\bcc32 -q
  RSC	= $(BCPATH)\bin\brc32 -r -i"$(BCPATH)\include" -dNO_MFC
! LINK	= $(BCPATH)\bin\ilink32 -c -v- -x -Gn -aa -j$(INTDIR)
! LIB = import32.lib cw32.lib
! 
! # C Builder 5.2
! #BCPATH  = C:\Program Files\Borland\CBuilder
! #CC	= bcc32
! #RSC	= brcc32 -isys\$(SYS) -i"$(BCPATH)\include" -dNO_MFC
! #LINK	= tlink32 -c -v- -x -aa -Tpe -j$(INTDIR)
! #LIB = import32.lib cw32mt.lib
! 
  
  # Objects which only depend on the "standard" includes
  OBJS	= basic.obj dir.obj dired.obj shell.obj version.obj window.obj \
***************
*** 44,51 ****
  
  OBJ = $(OBJS) $(IND) $(OOBJS) $(WOBJS) fileio.obj ttyio.obj
  
- LIB = import32.lib cw32.lib
- 
  OSRCS	= cinfo.c fileio.c spawn.c ttyio.c tty.c ttykbd.c
  WSRCS	= tools.c ttyctrl.cpp winmain.c
  SRCS	= basic.c cmode.c dir.c dired.c file.c line.c match.c paragraph.c \
--- 62,67 ----
***************
*** 54,74 ****
  	  macro.c main.c modes.c regex.c re_search.c kanji.c kinsoku.c \
  	  skg.c jump.c undo.c
  
! OINCS =	ttydef.h sysdef.h chrdef.h
  INCS =	config.h def.h
  REINCS = regex_e.h regex_j.h regex_j.c regex_e.h kanji_.h kanji_.c
  
! .c.obj:
! 	$(CC) $(CFLAGS) $*.c
  
! .cpp.obj:
! 	$(CC) $(CFLAGS) $*.cpp
  
  ng.exe:	$(OBJ) ng.res
! 	$(LINK) c0w32.obj $(OBJ),ng.exe,,$(LIB),,ng.res
  
  $(OBJS):	$(INCS) $(OINCS)
  
  buffer.obj:	$(INCS) $(OINCS) kbd.h undo.h
  
  cmode.obj:	$(INCS) $(OINCS) undo.h
--- 70,108 ----
  	  macro.c main.c modes.c regex.c re_search.c kanji.c kinsoku.c \
  	  skg.c jump.c undo.c
  
! OINCS =	sys/default/ttydef.h sys/default/chrdef.h sys/$(SYS)/sysdef.h
  INCS =	config.h def.h
  REINCS = regex_e.h regex_j.h regex_j.c regex_e.h kanji_.h kanji_.c
+ 
+ .path.obj=$(INTDIR)
+ .path.res=$(INTDIR)
+ .path.exe=$(OUTDIR)
+ .path.map=$(OUTDIR)
+ 
+ {.}.c {$(INTDIR)}.obj:
+ 	$(CC) $(CFLAGS) $<
  
! {sys\default}.c {$(INTDIR)}.obj:
! 	$(CC) $(CFLAGS) $<
  
! {sys\$(SYS)}.c {$(INTDIR)}.obj:
! 	$(CC) $(CFLAGS) $<
  
+ {sys\$(SYS)}.cpp {$(INTDIR)}.obj:
+ 	$(CC) $(CFLAGS) $<
+ 
+ {sys\$(SYS)}.rc {$(INTDIR)}.res:
+ 	$(RSC) -fo $@ $<
+ 
+ all:	$(INTDIR) ng.exe
+ 
  ng.exe:	$(OBJ) ng.res
! 	$(LINK) c0w32.obj $(OBJ),$(OUTDIR)\ng.exe,,$(LIB),,ng.res
  
  $(OBJS):	$(INCS) $(OINCS)
  
+ $(OOBJS):	$(INCS) $(OINCS)
+ 
  buffer.obj:	$(INCS) $(OINCS) kbd.h undo.h
  
  cmode.obj:	$(INCS) $(OINCS) undo.h
***************
*** 95,103 ****
  
  modes.obj:	$(INCS) $(OINCS) kbd.h
  
! fileio.obj:	$(INCS) $(OINCS) kbd.h resource.h
  
! echo.obj:	$(INCS) $(OINCS) key.h
  
  extend.obj:	$(INCS) $(OINCS) kbd.h key.h macro.h
  
--- 129,137 ----
  
  modes.obj:	$(INCS) $(OINCS) kbd.h
  
! fileio.obj:	$(INCS) $(OINCS) kbd.h sys/$(SYS)/tools.h sys/$(SYS)/resource.h
  
! echo.obj:	$(INCS) $(OINCS) key.h macro.h complt.h
  
  extend.obj:	$(INCS) $(OINCS) kbd.h key.h macro.h
  
***************
*** 120,206 ****
  re_search.obj:	$(INCS) $(OINCS) $(REINCS) macro.h
  
  regex.obj:	$(INCS) $(OINCS) $(REINCS)
- 
- ttyio.obj:	$(INCS) $(OINCS) tools.h winmain.h
- 
- $(OOBJS):	$(INCS) $(OINCS)
- 
- tools.obj:	$(INCS) $(OINCS) tools.h
- 
- tty.obj:	$(INCS) $(OINCS) tools.h winmain.h
- 
- ttyctrl.obj:	$(INCS) $(OINCS) tools.h ttyctrl.h cefep.h
- 
- winmain.obj:	$(INCS) $(OINCS) tools.h ttyctrl.h winmain.h resource.h cefep.h
- 
- cefep.obj:	$(INCS) $(OINCS) cefep.h
- 
- sysdef.h:	sys/$(SYS)/sysdef.h
- 	copy sys\$(SYS)\sysdef.h .
- 
- ttydef.h:	sys/default/ttydef.h
- 	copy sys\default\ttydef.h .
- 
- chrdef.h:	sys/default/chrdef.h
- 	copy sys\default\chrdef.h .
- 
- fileio.c:	sys/$(SYS)/fileio.c
- 	copy sys\$(SYS)\fileio.c .
- 
- spawn.c:	sys/$(SYS)/spawn.c
- 	copy sys\$(SYS)\spawn.c .
- 
- tty.c:	sys/$(SYS)/tty.c
- 	copy sys\$(SYS)\tty.c .
- 
- ttyio.c:	sys/$(SYS)/ttyio.c
- 	copy sys\$(SYS)\ttyio.c .
- 
- ttykbd.c:	sys/default/ttykbd.c
- 	copy sys\default\ttykbd.c .
- 
- cinfo.c:	sys/default/cinfo.c
- 	copy sys\default\cinfo.c .
- 
- resource.h:	sys/$(SYS)/resource.h
- 	copy sys\$(SYS)\resource.h .
- 
- tools.h:	sys/$(SYS)/tools.h
- 	copy sys\$(SYS)\tools.h .
  
! ttyctrl.h:	sys/$(SYS)/ttyctrl.h
! 	copy sys\$(SYS)\ttyctrl.h .
  
! winmain.h:	sys/$(SYS)/winmain.h
! 	copy sys\$(SYS)\winmain.h .
  
! tools.c:	sys/$(SYS)/tools.c
! 	copy sys\$(SYS)\tools.c .
  
! ttyctrl.cpp:	sys/$(SYS)/ttyctrl.cpp
! 	copy sys\$(SYS)\ttyctrl.cpp .
  
! winmain.c:	sys/$(SYS)/winmain.c
! 	copy sys\$(SYS)\winmain.c .
  
! cefep.c:	sys/$(SYS)/cefep.c
! 	copy sys\$(SYS)\cefep.c .
  
! cefep.h:	sys/$(SYS)/cefep.h
! 	copy sys\$(SYS)\cefep.h .
  
! appicon.ico:	sys/$(SYS)/appicon.ico
! 	copy sys\$(SYS)\appicon.ico .
  
! ng.rc:		sys/$(SYS)/ng.rc
! 	copy sys\$(SYS)\ng.rc .
  
! ng.res:		ng.rc resource.h appicon.ico
! 	$(RSC) -fo ng.res ng.rc
  
  #clean:
  #	del $(OBJ) $(OSRCS) $(OINCS)
  clean:
! 	del *.obj
! 	del ng.res
! 	del ng.tds
--- 154,189 ----
  re_search.obj:	$(INCS) $(OINCS) $(REINCS) macro.h
  
  regex.obj:	$(INCS) $(OINCS) $(REINCS)
  
! jump.obj:	$(INCS) $(OINCS) regex_e.h regex_j.h
  
! ttyio.obj:	$(INCS) $(OINCS) sys/$(SYS)/tools.h sys/$(SYS)/winmain.h
  
! tools.obj:	$(INCS) $(OINCS) sys/$(SYS)/tools.h
  
! tty.obj:	$(INCS) $(OINCS) sys/$(SYS)/tools.h sys/$(SYS)/winmain.h
  
! ttyctrl.obj:	$(INCS) $(OINCS) \
! 		sys/$(SYS)/tools.h sys/$(SYS)/ttyctrl.h \
! 		sys/$(SYS)/cefep.h sys/$(SYS)/resource.h
  
! spawn.obj:	$(INCS) $(OINCS) sys/$(SYS)/tools.h
  
! winmain.obj:	$(INCS) $(OINCS) \
! 		sys/$(SYS)/tools.h sys/$(SYS)/ttyctrl.h \
! 		sys/$(SYS)/winmain.h sys/$(SYS)/resource.h sys/$(SYS)/cefep.h
  
! cefep.obj:	$(INCS) $(OINCS) sys/$(SYS)/cefep.h
  
! ng.res:		sys/$(SYS)/resource.h sys/$(SYS)/appicon.ico \
! 		sys/$(SYS)/rebar.bmp sys/$(SYS)/buttons.bmp
  
! $(INTDIR):
! 	@if not exist $(INTDIR) mkdir $(INTDIR)
  
  #clean:
  #	del $(OBJ) $(OSRCS) $(OINCS)
  clean:
! 	-if exist ng.tds del ng.tds
! 	-if exist $(INTDIR) del /f/q $(INTDIR)
! 	-if exist $(INTDIR) rmdir $(INTDIR)
